#!/usr/bin/perl
# edit_inimisc_wap.cgi
# Display miscellaneous options

require './cwmail-lib.pl';
&header($text{'misc_title'}, "");
print "<hr>\n";
$conf = &get_cwmail_ini_wap();

print "<form action=save_inimisc_wap.cgi>\n";
print "<table border>\n";
print "<tr $tb> <td><b>$text{'ini_misc_title'}</b></td> </tr>\n";
print "<tr $cb> <td><table width=100%>\n";

# no_trash true
@no_trash = map { $_->[0] } &find_value('no_trash', $conf);
print "<tr> <td><b>",$text{"ini_no_trash"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=no_trash value=true %s> %s\n",
	lc($no_trash[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=no_trash value=false %s> %s\n",
	lc($no_trash[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @no_trash),"</td> </tr>\n";

#use_page_size true
@use_page_size = map { $_->[0] } &find_value('use_page_size', $conf);
print "<tr> <td><b>",$text{"ini_use_page_size"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=use_page value=true %s> %s\n",
	lc($use_page_size[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=use_page value=false %s> %s\n",
	lc($use_page_size[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @use_page_size),"</td> </tr>\n";

# display read_wrap options
$readw = &find_value('read_wrap', $conf);
print "<tr> <td><b>",$text{"ini_readw"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=read_w value=1 %s> %s\n",
		$readw ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=read_w value=0 %s>\n",
		$readw ? 'checked' : '';
	printf "<input name=readw size=3 value='%s'></td> </tr>\n",
		join(" ", @$readw);

# display send_wrap  options
$sendw = &find_value('send_wrap', $conf);
print "<tr> <td><b>",$text{"ini_sendw"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=send_w value=1 %s> %s\n",
		$sendw ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=send_w value=0 %s>\n",
		$sendw ? 'checked' : '';
	printf "<input name=sendw size=3 value='%s'></td> </tr>\n",
		join(" ", @$sendw);

# display purge_mins  options
$purge_mins = &find_value('purge_mins', $conf);
print "<tr> <td><b>",$text{"ini_purge_mins"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=purge_mins value=1 %s> %s\n",
		$purge_mins ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=purge_mins value=0 %s>\n",
		$purge_mins ? 'checked' : '';
	printf "<input name=purge_mins size=3 value='%s'></td> </tr>\n",
		join(" ", @$purge_mins);

# display date_format options
$datef = &find_value('date_format', $conf);
print "<tr> <td><b>",$text{"ini_datef"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=date_f value=1 %s> %s\n",
		$datef ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=date_f value=0 %s>\n",
		$datef ? 'checked' : '';
	printf "<input name=datef size=3 value='%s'></td> </tr>\n",
		join(" ", @$datef);

# display port options (port 1100)
$port = &find_value('port', $conf);
print "<tr> <td><b>",$text{"ini_port"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=porto value=1 %s> %s\n",
		$port ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=porto value=0 %s>\n",
		$port ? 'checked' : '';
	printf "<input name=port size=4 value='%s'></td> </tr>\n",
		join(" ", @$port);

# display inline_options options
@inline = map { $_->[0] } &find_value('inline_options', $conf);
print "<tr> <td><b>",$text{"ini_inline"},"</b></td> <td colspan=3>\n";
	printf "<input name=inline size=20 value='%s'></td> </tr>\n",
		join(" ", @inline);

# content_type text/x-html
@content_type = map { $_->[0] } &find_value('content_type', $conf);
print "<tr> <td><b>",$text{"ini_content_type"},"</b></td> <td colspan=3>\n";
	printf "<input name=content_type size=20 value='%s'></td> </tr>\n",
		join(" ", @content_type);


print "</table></td></tr>\n";
print "<tr $tb> <td><b>$text{'ini_misc2_title'}</b></td> </tr>\n";
print "<tr $cb> <td><table width=100%>\n";
# display pick_abook_max options
$pick = &find_value('pick_abook_max', $conf);
print "<tr> <td><b>",$text{"ini_abook"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=abook value=1 %s> %s\n",
		$pick ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=abook value=0 %s>\n",
		$pick ? 'checked' : '';
	printf "<input name=pick size=3 value='%s'></td> </tr>\n",
		join(" ", @$pick);

# display pop_timeout options
$poptime = &find_value('pop_timeout', $conf);
print "<tr> <td><b>",$text{"ini_poptime"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=pop_time value=1 %s> %s\n",
		$poptime ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=pop_time value=0 %s>\n",
		$poptime ? 'checked' : '';
	printf "<input name=poptime size=3 value='%s'></td> </tr>\n",
		join(" ", @$poptime);

# display auto_logout_mins options
$auto_logout_mins = &find_value('auto_logout_mins', $conf);
print "<tr> <td><b>",$text{"ini_auto_logout_mins"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=auto_logout value=1 %s> %s\n",
		$auto_logout_mins ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=auto_logout value=0 %s>\n",
		$auto_logout_mins ? 'checked' : '';
	printf "<input name=auto_logout_mins size=3 value='%s'></td> </tr>\n",
		join(" ", @$auto_logout_mins);

# display pop_delete_default options
@popdel = map { $_->[0] } &find_value('pop_delete_default', $conf);
print "<tr> <td><b>",$text{"ini_popdel"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=popdel value=true %s> %s\n",
	lc($popdel[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=popdel value=false %s> %s\n",
	lc($popdel[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @popdel),"</td> </tr>\n";

print "</table></td></tr>\n";
print "</table></td> </tr></table>\n";
print "<input type=submit value=\"$text{'save'}\"></form>\n";

print "<hr>\n";
&footer("cwini_wap.cgi", $text{'ini_wap_title'});

