#!/usr/bin/perl
# save_inimisc.cgi
# Save miscellaneous options

require './cwmail-lib.pl';
#&error_setup($text{'ini_err'});
&ReadParse();
$conf = &get_cwmail_ini_tpl2();

# no_trash true
$in{'no_trash'} =~ s/\0/,/g;
if ($in{'no_trash'}) {
	push(@ino_trash, { 'name' => 'no_trash',
		     'values' => [ $in{'no_trash'} ] } );
	}
&save_directive_tpl2($conf, 'no_trash', \@ino_trash);

#use_page_size true
$in{'use_page_size'} =~ s/\0/,/g;
if ($in{'use_page_size'}) {
	push(@iuse_page_size, { 'name' => 'use_page_size',
		     'values' => [ $in{'use_page_size'} ] } );
	}
&save_directive_tpl2($conf, 'use_page_size', \@iuse_page_size);


# save read_wrap directives
if ($in{read_w}) {
	&save_directive_tpl2($conf, 'read_wrap', [ { 'name' => 'read_wrap',
			       'values' => [ $text{'ini_readw_def'} ] } ] );
	}
elsif ($in{read_w} !~ /\S/) {
	&error($text{"ini_readw_err"});
	}
else {
	&save_directive_tpl2($conf, 'read_wrap', [ { 'name' => 'read_wrap',
			       'values' => [ $in{readw} ] } ] );
		}


# save send_wrap directives
if ($in{send_w}) {
	&save_directive_tpl2($conf, 'send_wrap', [ { 'name' => 'send_wrap',
			       'values' => [ $text{'ini_sendw_def'} ] } ] );
	}
elsif ($in{send_w} !~ /\S/) {
	&error($text{"ini_sendw_err"});
	}
else {
	&save_directive_tpl2($conf, 'send_wrap', [ { 'name' => 'send_wrap',
			       'values' => [ $in{sendw} ] } ] );
		}

# save purge_mins directives
if ($in{purge_mins}) {
	&save_directive_tpl2($conf, 'purge_mins', [ { 'name' => 'purge_mins',
			       'values' => [ $text{'ini_purge_mins_def'} ] } ] );
	}
elsif ($in{purge_mins} !~ /\S/) {
	&error($text{"ini_purge_mins_err"});
	}
else {
	&save_directive_tpl2($conf, 'purge_mins', [ { 'name' => 'purge_mins',
			       'values' => [ $in{purge_mins} ] } ] );
		}

# save date_format directives

if ($in{date_f}) {
	&save_directive_tpl2($conf, 'date_format', [ { 'name' => 'date_format',
			       'values' => [ $text{'ini_datef_def'} ] } ] );
	}
elsif ($in{date_f} !~ /\S/) {
	&error($text{"ini_datef_err"});
	}
else {
	&save_directive_tpl2($conf, 'date_format', [ { 'name' => 'date_format',
			       'values' => [ $in{datef} ] } ] );
		}

# save port # directives

if ($in{porto}) {
	&save_directive_tpl2($conf, 'port', [ { 'name' => 'port',
			       'values' => [ $text{'ini_port_def'} ] } ] );
	}
elsif ($in{porto} !~ /\S/) {
	&error($text{"ini_port_err"});
	}
else {
	&save_directive_tpl2($conf, 'port', [ { 'name' => 'port',
			       'values' => [ $in{port} ] } ] );
		}

# save inline_options directives
$in{'inline'} =~ s/\0/,/g;
if ($in{'inline'}) {
	push(@iinline, { 'name' => 'inline_options',
		     'values' => [ $in{'inline'} ] } );
	}
&save_directive_tpl2($conf, 'inline_options', \@iinline);

# content_type text/x-html
$in{'content_type'} =~ s/\0/,/g;
if ($in{'content_type'}) {
	push(@icontent_type, { 'name' => 'content_type',
		     'values' => [ $in{'content_type'} ] } );
	}
&save_directive_tpl2($conf, 'content_type', \@icontent_type);


# save pick_abook_max directives
if ($in{abook}) {
	&save_directive_tpl2($conf, 'pick_abook_max', [ { 'name' => 'pick_abook_max',
			       'values' => [ $text{'ini_abook_def'} ] } ] );
	}
elsif ($in{abook} !~ /\S/) {
	&error($text{"ini_abook_err"});
	}
else {
	&save_directive_tpl2($conf, 'pick_abook_max', [ { 'name' => 'pick_abook_max',
			       'values' => [ $in{pick} ] } ] );
		}

# save pop_timeout directives
if ($in{pop_time}) {
	&save_directive_tpl2($conf, 'pop_timeout', [ { 'name' => 'pop_timeout',
			       'values' => [ $text{'ini_poptime_def'} ] } ] );
	}
elsif ($in{pop_time} !~ /\S/) {
	&error($text{"ini_poptime_err"});
	}
else {
	&save_directive_tpl2($conf, 'pop_timeout', [ { 'name' => 'pop_timeout',
			       'values' => [ $in{poptime} ] } ] );
		}

# save auto_logout_mins directives
if ($in{auto_logout}) {
	&save_directive_tpl2($conf, 'auto_logout_mins', [ { 'name' => 'auto_logout_mins',
			       'values' => [ $text{'ini_auto_logout_def'} ] } ] );
	}
elsif ($in{auto_logout} !~ /\S/) {
	&error($text{"ini_auto_logout_err"});
	}
else {
	&save_directive_tpl2($conf, 'auto_logout_mins', [ { 'name' => 'auto_logout_mins',
			       'values' => [ $in{auto_logout_mins} ] } ] );
		}

# save pop_delete_default directives
$in{'popdel'} =~ s/\0/,/g;
if ($in{'popdel'}) {
	push(@ipopdel, { 'name' => 'pop_delete_default',
		     'values' => [ $in{'popdel'} ] } );
	}
&save_directive_tpl2($conf, 'pop_delete_default', \@ipopdel);

&flush_file_lines();
&redirect("cwini_tpl2.cgi");
