#!/usr/bin/perl
# save_inispec.cgi
# Save miscellaneous options
#wml specific settings

require './cwmail-lib.pl';
#&error_setup($text{'ini_err'});
&ReadParse();
$conf = &get_cwmail_ini_wap();

# wml true
$in{'wml'} =~ s/\0/,/g;
if ($in{'wml'}) {
	push(@iwml, { 'name' => 'wml',
		     'values' => [ $in{'wml'} ] } );
	}
&save_directive_wap($conf, 'wml', \@iwml);

# iso true
$in{'iso'} =~ s/\0/,/g;
if ($in{'iso'}) {
	push(@iiso, { 'name' => 'iso',
		     'values' => [ $in{'iso'} ] } );
	}
&save_directive_wap($conf, 'iso', \@iiso);

#use_page_size true
$in{'use_page_size'} =~ s/\0/,/g;
if ($in{'use_page_size'}) {
	push(@iuse_page_size, { 'name' => 'use_page_size',
		     'values' => [ $in{'use_page_size'} ] } );
	}
&save_directive_wap($conf, 'use_page_size', \@iuse_page_size);

#no_tcode true
$in{'no_tcode'} =~ s/\0/,/g;
if ($in{'no_tcode'}) {
	push(@ino_tcode, { 'name' => 'no_tcode',
		     'values' => [ $in{'no_tcode'} ] } );
	}
&save_directive_wap($conf, 'no_tcode', \@ino_tcode);


#no_ref_encode true
$in{'no_ref_encode'} =~ s/\0/,/g;
if ($in{'no_ref_encode'}) {
	push(@ino_ref_encode, { 'name' => 'no_ref_encode',
		     'values' => [ $in{'no_ref_encode'} ] } );
	}
&save_directive_wap($conf, 'no_ref_encode', \@ino_ref_encode);


#cache_posts false
$in{'cache_posts'} =~ s/\0/,/g;
if ($in{'cache_posts'}) {
	push(@icache_posts, { 'name' => 'cache_posts',
		     'values' => [ $in{'cache_posts'} ] } );
	}
&save_directive_wap($conf, 'cache_posts', \@icache_posts);


#frames_default false
$in{'frames_default'} =~ s/\0/,/g;
if ($in{'frames_default'}) {
	push(@iframes_default, { 'name' => 'frames_default',
		     'values' => [ $in{'frames_default'} ] } );
	}
&save_directive_wap($conf, 'frames_default', \@iframes_default);


# save poplist_width directives
if ($in{poplist_width}) {
	&save_directive_wap($conf, 'poplist_width', [ { 'name' => 'poplist_width',
			       'values' => [ $text{'ini_poplist_width_def'} ] } ] );
	}
elsif ($in{poplist_width} !~ /\S/) {
	&error($text{"ini_poplist_width_err"});
	}
else {
	&save_directive_wap($conf, 'poplist_width', [ { 'name' => 'poplist_width',
			       'values' => [ $in{poplist_w} ] } ] );
		}


# save fetch_min directives
if ($in{fetch_min}) {
	&save_directive_wap($conf, 'fetch_min', [ { 'name' => 'fetch_min',
			       'values' => [ $text{'ini_fetch_min_def'} ] } ] );
	}
elsif ($in{fetch_min} !~ /\S/) {
	&error($text{"ini_fetch_min_err"});
	}
else {
	&save_directive_wap($conf, 'fetch_min', [ { 'name' => 'fetch_min',
			       'values' => [ $in{fetchmin} ] } ] );
		}

# save body_limit directives

if ($in{body_limit}) {
	&save_directive_wap($conf, 'body_limit', [ { 'name' => 'body_limit',
			       'values' => [ $text{'ini_body_limit_def'} ] } ] );
	}
elsif ($in{body_limit} !~ /\S/) {
	&error($text{"ini_body_limit_err"});
	}
else {
	&save_directive_wap($conf, 'body_limit', [ { 'name' => 'body_limit',
			       'values' => [ $in{bodylimit} ] } ] );
		}


&flush_file_lines();
&redirect("cwini_wap.cgi");
