#!/usr/bin/perl
# edit_inispec_wap.cgi
# Display miscellaneous options

#wml specific settings

require './cwmail-lib.pl';
&header($text{'spec_title'}, "");
print "<hr>\n";
$conf = &get_cwmail_ini_wap();

print "<form action=save_inispec_wap.cgi>\n";
print "<table border>\n";
print "<tr $tb> <td><b>$text{'ini_spec_title'}</b></td> </tr>\n";
print "<tr $cb> <td><table width=100%>\n";

# wml true
@wml = map { $_->[0] } &find_value('wml', $conf);
print "<tr> <td><b>",$text{"ini_wml"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=wml value=true %s> %s\n",
	lc($wml[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=wml value=false %s> %s\n",
	lc($wml[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @wml),"</td> </tr>\n";

# iso true
@iso = map { $_->[0] } &find_value('iso', $conf);
print "<tr> <td><b>",$text{"ini_iso"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=iso value=true %s> %s\n",
	lc($iso[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=iso value=false %s> %s\n",
	lc($iso[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @iso),"</td> </tr>\n";

#use_page_size true
@use_page_size = map { $_->[0] } &find_value('use_page_size', $conf);
print "<tr> <td><b>",$text{"ini_use_page_size"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=use_page value=true %s> %s\n",
	lc($use_page_size[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=use_page value=false %s> %s\n",
	lc($use_page_size[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @use_page_size),"</td> </tr>\n";

#no_ref_encode true
@no_ref_encode = map { $_->[0] } &find_value('no_ref_encode', $conf);
print "<tr> <td><b>",$text{"ini_no_ref_encode"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=no_ref_encode value=true %s> %s\n",
	lc($no_ref_encode[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=no_ref_encode value=false %s> %s\n",
	lc($no_ref_encode[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @no_ref_encode),"</td> </tr>\n";

#no_tcode true
@no_tcode = map { $_->[0] } &find_value('no_tcode', $conf);
print "<tr> <td><b>",$text{"ini_no_tcode"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=no_tcode value=true %s> %s\n",
	lc($no_tcode[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=no_tcode value=false %s> %s\n",
	lc($no_tcode[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @no_tcode),"</td> </tr>\n";

#cache_posts true
@cache_posts = map { $_->[0] } &find_value('cache_posts', $conf);
print "<tr> <td><b>",$text{"ini_cache_posts"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=cache_posts value=true %s> %s\n",
	lc($cache_posts[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=cache_posts value=false %s> %s\n",
	lc($cache_posts[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @cache_posts),"</td> </tr>\n";

#frames_default true
@frames_default = map { $_->[0] } &find_value('frames_default', $conf);
print "<tr> <td><b>",$text{"ini_frames_default"},"</b></td> <td colspan=3>\n";
printf "<input type=radio name=frames_default value=true %s> %s\n",
	lc($frames_default[0]) eq 'true' ? 'checked' : '', $text{'yes'};
printf "<input type=radio name=frames_default value=false %s> %s\n",
	lc($frames_default[0]) eq 'true' ? '' : 'checked', $text{'no'},
	join(" ", @frames_default),"</td> </tr>\n";

# display poplist_width options
$poplist_w = &find_value('poplist_width', $conf);
print "<tr> <td><b>",$text{"ini_poplist_width"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=poplist_width value=1 %s> %s\n",
		$poplist_w ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=poplist_width value=0 %s>\n",
		$poplist_w ? 'checked' : '';
	printf "<input name=poplist_w size=3 value='%s'></td> </tr>\n",
		join(" ", @$poplist_w);

# display fetch_min  options
$fetchmin = &find_value('fetch_min', $conf);
print "<tr> <td><b>",$text{"ini_fetch_min"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=fetch_min value=1 %s> %s\n",
		$fetchmin ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=fetch_min value=0 %s>\n",
		$fetchmin ? 'checked' : '';
	printf "<input name=fetchmin size=3 value='%s'></td> </tr>\n",
		join(" ", @$fetchmin);

# display body_limit options
$bodylimit = &find_value('body_limit', $conf);
print "<tr> <td><b>",$text{"ini_body_limit"},"</b></td> <td colspan=3>\n";
	printf "<input type=radio name=body_limit value=1 %s> %s\n",
		$bodylimit ? '' : 'checked', $text{'default'};
	printf "<input type=radio name=body_limit value=0 %s>\n",
		$bodylimit ? 'checked' : '';
	printf "<input name=bodylimit size=3 value='%s'></td> </tr>\n",
		join(" ", @$bodylimit);


print "</table></td></tr>\n";
print "</table></td> </tr></table>\n";
print "<input type=submit value=\"$text{'save'}\"></form>\n";

print "<hr>\n";
&footer("cwini_wap.cgi", $text{'ini_wap_title'});

