#!/usr/bin/perl
# edit_boxdir.cgi
# List the mailboxdir of all local users

require './cwmail-lib.pl';
%access = &get_module_acl();
if ($config{'cwmail_ini_tpl1'}) {
	$cwpath = $config{'cwmail_path'}};

&header($text{'boxdir_title'}, "");
$anzbox=0;
setpwent();
while(@u = getpwent()) {
	$real_name = "$u[6]";
	$ld = substr($u[0], 0,2);
	$ldir = "u_$ld";
		$cwdir = "$cwpath/$ldir";
		opendir(UDIR, "$cwdir" );
			while ($udir = readdir(UDIR)) {
			# The full path to the file.
			if ( grep (/^$u[0]@/,$udir)){
			    $udir =~ s/\\/\//g;
				$count = 0;
				while ( "@" ne substr($udir, $count,1)){;
					$count++;
					}
					$popsv = substr($udir, $count+1,12);
				push(@users, [ $u[0], $real_name, $popsv, $cwdir, $udir ] );
				$anzbox++;
			}
			}
		closedir(UDIR);
    }
endpwent();

@users = sort { uc($a->[0]) cmp uc($b->[0]) } @users;

print "<center>$text{'boxdir_txt'} $anzbox</center>";
print "<hr>\n";

print "<table width=100%><tr><td valign=top width=50%>\n";
$mid = int((@users+1) / 2);
&users_table(@users[0 .. $mid-1]);
print "</td><td valign=top width=50%>\n";
&users_table(@users[$mid .. $#users]);
print "</td></tr></table><p>\n";

print "<hr>\n";
&footer("", $text{'index_return'});

sub users_table
{
print "<table border width=100%>\n";
print "<tr $tb> <td><b>$text{'boxdir_user'}</b></td> ",
      "<td><b>$text{'boxdir_dir'}</b></td><td><b>$text{'boxdir_pop'}</b></td> </tr>\n";
foreach $u (@_) {
	print "<tr $cb> <td><a href=\"list_user.cgi?user=$u->[3]/$u->[4]&unam=$u->[0]\">",
	      "$u->[0]</a></td>\n";
	print "<td>",defined($u->[1]) ? $u->[1]
				      : $text{'boxdir_none'},"</td>\n";
	print "<td>",defined($u->[2]) ? $u->[2]
				      : $text{'boxdir_none'},"</td> </tr>\n";
	}
print "</table>\n";
}

